<?php

namespace Modules\Utils\AppReports;

use \App\Mvc\View\Utils\Types\ListingColumns;
use App\Mvc\View\Utils\Types\ListingColumn;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [5, 10, 15, 20, 25, 30, 40, 50, 100];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('name')
				->setLabel("Name")
			)
			->append(
				ListingColumn::create('sql')
				->setLabel("Sql")
			)
			->append(
				ListingColumn::create('monthTable')
				->setLabel("Month table")
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\ViewAbstract::render_prepare()
	 */
	protected function render_prepare($smarty)
	{
		$this->setPageTitle("Application reports");
		parent::render_prepare($smarty);
	}

}
